summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJuan Pablo Ugarte <juanpablougarte@gmail.com>2017-07-22 14:32:24 -0300
committerJuan Pablo Ugarte <juanpablougarte@gmail.com>2017-07-22 14:36:01 -0300
commitb38388b87f31f7c95a63a59f3bf3cb4cec48768c (patch)
tree938948c766ff09337d673f2dc8b918b3e957e4c6
parent2354c04be66051600159ade50b3204801e9e33d2 (diff)
downloadglade-b38388b87f31f7c95a63a59f3bf3cb4cec48768c.tar.gz
Use new documentation infrastructure
-rw-r--r--.gitignore4
-rw-r--r--Makefile.am12
-rwxr-xr-xautogen.sh44
-rw-r--r--configure.ac4
-rw-r--r--help/C/index.docbook (renamed from help/C/glade3.xml)4
-rw-r--r--help/C/legal.xml2
-rw-r--r--help/Makefile.am15
-rw-r--r--help/glade3.omf.in9
-rw-r--r--m4/.gitignore1
9 files changed, 27 insertions, 68 deletions
diff --git a/.gitignore b/.gitignore
index d2f1ef1b..bcbb7051 100644
--- a/.gitignore
+++ b/.gitignore
@@ -32,5 +32,5 @@ Makefile.in
/missing
/mkinstalldirs
/gtk-doc.make
-
-/gnome-doc-utils.make
+build/mingw-w64/glade.nsi
+src/glade-3.rc
diff --git a/Makefile.am b/Makefile.am
index 44e2c3d8..bc5ef739 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,8 +1,4 @@
-SUBDIRS = po data gladeui src plugins doc
-
-if HAVE_GNOME_DOC_UTILS
-SUBDIRS += help
-endif
+SUBDIRS = po data gladeui src plugins doc help
ACLOCAL_AMFLAGS = -I m4
@@ -13,11 +9,11 @@ EXTRA_DIST = \
intltool-extract.in \
intltool-merge.in \
intltool-update.in \
- gnome-doc-utils.make
+ $(NULL)
DISTCLEANFILES = intltool-extract \
intltool-merge \
intltool-update \
- gnome-doc-utils.make
+ $(NULL)
-DISTCHECK_CONFIGURE_FLAGS = --disable-scrollkeeper --enable-gtk-doc
+DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc
diff --git a/autogen.sh b/autogen.sh
index 4744df0b..631f60ef 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,7 +4,7 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="glade"
+PKG_NAME="glade3"
(test -f $srcdir/configure.ac \
&& test -f $srcdir/autogen.sh) || {
@@ -13,40 +13,10 @@ PKG_NAME="glade"
exit 1
}
-DIE=0
-
-# This is a bit complicated here since we can't use gnome-config yet.
-# It'll be easier after switching to pkg-config since we can then
-# use pkg-config to find the gnome-autogen.sh script.
-
-gnome_autogen=
-gnome_datadir=
-
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
- test -z "$dir" && dir=.
- if test -f $dir/gnome-autogen.sh ; then
- gnome_autogen="$dir/gnome-autogen.sh"
- gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
- break
- fi
-done
-IFS="$ifs_save"
-
-if test -z "$gnome_autogen" ; then
- echo "You need to install the gnome-common module and make"
- echo "sure the gnome-autogen.sh script is in your \$PATH."
- exit 1
-fi
-
-automake_version=1.9
-
-#case `uname` in
-#CYGWIN*)
- # automake 1.4 of cygwin does not define EGREP in libtool.m4, and
- # fails to do the file magic test when -rpath is given
-# automake_version=1.7
-# ;;
-#esac
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+}
-GTKDOCIZE="gtkdocize --flavour no-tmpl" REQUIRED_GNOME_DOC_UTILS_VERSION=0.9.0 REQUIRED_AUTOMAKE_VERSION="$automake_version" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+. gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
index c0c64528..a1439789 100644
--- a/configure.ac
+++ b/configure.ac
@@ -189,10 +189,10 @@ fi
AM_CONDITIONAL(BUILD_PYTHON, test x"$have_python" = "xyes")
# ==================================================================
-# Glade User Manual (requires gnome-doc-utils)
+# Glade User Manual (requires yelp-tools)
# ==================================================================
-GNOME_DOC_INIT([0.9.0],[],[:])
+YELP_HELP_INIT
dnl ================================================================
dnl Check for windows
diff --git a/help/C/glade3.xml b/help/C/index.docbook
index a97eaa88..985b36a6 100644
--- a/help/C/glade3.xml
+++ b/help/C/index.docbook
@@ -134,7 +134,7 @@
<legalnotice>
<title>Feedback</title>
<para>To report a bug or make a suggestion regarding the &app; application or
- this manual, follow the directions in the <ulink url="ghelp:gnome-feedback"
+ this manual, follow the directions in the <ulink url="help:gnome-feedback"
type="help">GNOME Feedback Page</ulink>.
</para>
<!-- Translators may also add here feedback address for translations -->
@@ -477,7 +477,7 @@ copies.</para>
General Public license as published by the Free Software
Foundation; either version 2 of the License, or (at your option)
any later version. A copy of this license can be found at this
- <ulink url="ghelp:gpl" type="help">link</ulink>, or in the file
+ <ulink url="help:gpl" type="help">link</ulink>, or in the file
COPYING included with the source code of this program. </para>
</sect1>
diff --git a/help/C/legal.xml b/help/C/legal.xml
index 312c12eb..5d73dc0d 100644
--- a/help/C/legal.xml
+++ b/help/C/legal.xml
@@ -6,7 +6,7 @@
by the Free Software Foundation with no Invariant Sections,
no Front-Cover Texts, and no Back-Cover Texts. You can find
a copy of the GFDL at this <ulink type="help"
- url="ghelp:fdl">link</ulink> or in the file COPYING-DOCS
+ url="help:fdl">link</ulink> or in the file COPYING-DOCS
distributed with this manual.
</para>
<para> This manual is part of a collection of GNOME manuals
diff --git a/help/Makefile.am b/help/Makefile.am
index dd091e97..db5a3233 100644
--- a/help/Makefile.am
+++ b/help/Makefile.am
@@ -1,9 +1,12 @@
+@YELP_HELP_RULES@
-include $(top_srcdir)/gnome-doc-utils.make
-dist-hook: doc-dist-hook
+HELP_ID = glade3
-DOC_MODULE = glade3
-DOC_INCLUDES = legal.xml
-DOC_FIGURES = figures/main-window.png
+HELP_FILES = \
+ index.docbook \
+ legal.xml \
+ $(NULL)
-DOC_LINGUAS = bg cs de el en_GB es eu fr hi it ja oc pt_BR ru sl sv uk zh_CN
+HELP_MEDIA = figures/main-window.png
+
+HELP_LINGUAS = bg cs de el en_GB es eu fr hi it ja oc pt_BR ru sl sv uk zh_CN
diff --git a/help/glade3.omf.in b/help/glade3.omf.in
deleted file mode 100644
index a683d54e..00000000
--- a/help/glade3.omf.in
+++ /dev/null
@@ -1,9 +0,0 @@
-<?xml version="1.0" standalone="no"?>
-<omf>
- <resource>
- <subject category="GNOME|Development|Applications"/>
- <type>user's guide</type>
- <relation seriesid="aeee6e58-266b-11db-9d4a-93a924887d12"/>
- <rights type="GNU FDL" license.version="1.1" holder="Vincent Geddes"/>
- </resource>
-</omf>
diff --git a/m4/.gitignore b/m4/.gitignore
index ba3faf57..9a93badc 100644
--- a/m4/.gitignore
+++ b/m4/.gitignore
@@ -1,4 +1,3 @@
-/gnome-doc-utils.m4
/gtk-doc.m4
/intltool.m4
/libtool.m4